package ru.yandex.wmconsole.data;

/**
 * @author avhaliullin
 */
public enum XMLTestQueryTypeEnum {
    LINKS_COUNT,
    LINKS_GROUPS,
    LINKS_FROM_HOST,
    INTERNAL_LINKS,
    INDEXED_URLS,
    FAST_INDEX_COUNT,
    REGION_SEARCH,
    SERP_LINKS
    ;

    public static XMLTestQueryTypeEnum getByName(String name) {
        name = name.toLowerCase();
        for (XMLTestQueryTypeEnum value : values()) {
            if (value.name().toLowerCase().equals(name)) {
                return value;
            }
        }
        return null;
    }
}
